=== debian/control ===
Source: gcc-3.4
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Gerhard Tonn <gt@debian.org>
Standards-Version: 3.6.2
Build-Depends: dpkg-dev (>= 1.13.9), libc6.1-dev (>= 2.3.2.ds1-16) [alpha ia64] | libc0.3-dev (>= 2.3.2.ds1-16) | libc0.1-dev (>= 2.3.2.ds1-16) | libc12-dev (>= 2.3.2.ds1-16) | libc6-dev (>= 2.3.2.ds1-16), libc6-dev-amd64 [i386], libc6-dev-sparc64 [sparc], libc6-dev-s390x [s390], libc6-dev-i386 [amd64] | ia32-libs-dev [amd64], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc1 [amd64 ppc64], lib64gcc1 [powerpc i386 sparc s390], libunwind7-dev (>= 0.98.5-7) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), binutils-hppa64 (>= 2.15-7) [hppa], debhelper (>= 4.1), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !knetbsd-gnu], gcc-3.4, gnat-3.4 [!arm !armel !armeb !m32r !m68k !ppc64 !hurd-i386 !knetbsd-gnu !netbsd-elf-gnu], locales [!knetbsd-gnu !netbsd-elf-gnu !hurd-i386], procps [!hurd-i386 !knetbsd-gnu], sharutils, libncurses5-dev [!netbsd-elf-gnu], tetex-bin [!netbsd-elf-gnu],  realpath (>= 1.9.12)
Build-Depends-Indep: doxygen (>= 1.4.2)

Package: gcc-3.4-base
Architecture: any
Section: devel
Priority: optional
Description: The GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1
Architecture: any
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc2
Architecture: any
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib64gcc1
Architecture: any
Section: libs
Priority: optional
Depends: ${dep:libcbiarch}
Conflicts: libgcc1 (<= 1:3.3-0pre9)
Description: GCC support library (64bit)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: lib32gcc1
Architecture: any
Section: libs
Priority: optional
Depends: ${dep:libcbiarch}
Conflicts: ia32-libs-openoffice.org (<= 1ubuntu2)
Replaces: ia32-libs-openoffice.org (<= 1ubuntu2)
Description: GCC support library (32-bit version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: gcc-3.4
Architecture: any
Section: devel
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), cpp-3.4 (= ${gcc:Version}), binutils (>= ${binutils:Version}), ${dep:libgcc}, ${dep:libunwinddev}, ${shlibs:Depends}
Recommends: ${dep:libcdev}
Conflicts: gcc-3.2 (<= 1:3.2.3-0pre8)
Suggests: gcc-3.4-doc (>= ${gcc:SoftVersion}), ${dep:libcbiarchdev}, ${dep:libgccbiarch}
Provides: c-compiler
Description: The GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 ABIs changed between gcc-3.3 and gcc-3.4 on some architectures (hppa, m68k,
 mips, mipsel, sparc). Please read /usr/share/doc/gcc-3.4/README.Debian
 for more details.

Package: gcc-3.4-hppa64
Architecture: hppa
Section: devel
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}
Conflicts: gcc-3.3-hppa64 (<= 1:3.3.4-5), gcc-3.5-hppa64 (<= 3.5-0pre1)
Description: The GNU C compiler (cross compiler for hppa64)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.

Package: cpp-3.4
Architecture: any
Section: interpreters
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Description: The GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.

Package: cpp-3.4-doc
Architecture: all
Section: doc
Priority: optional
Depends: gcc-3.4-base (>= ${gcc:SoftVersion})
Replaces: cpp (<= 1:2.93.12)
Description: Documentation for the GNU C preprocessor (cpp)
 Documentation for the GNU C preprocessor in info format.

Package: g++-3.4
Architecture: any
Section: devel
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), libstdc++6-dev (= ${gcc:Version}), ${shlibs:Depends}, libstdc++6 (>= 3.4.0)
Replaces: gcc (<= 2.7.2.3-3)
Provides: c++-compiler, c++abi2-dev
Suggests: gcc-3.4-doc (>= ${gcc:SoftVersion}), ${dep:libcxxbiarch}
Description: The GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 ABIs changed between gcc-3.3 and gcc-3.4 on some architectures (hppa, m68k,
 mips, mipsel, sparc). Please read /usr/share/doc/gcc-3.4/README.Debian
 for more details. Do not mix code compiled with g++-3.3 and g++-3.4.

Package: protoize
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (>= ${gcc:Version}), ${shlibs:Depends}
Description: Create/remove ANSI prototypes from C code
 "protoize" can be used to add prototypes to a program, thus converting
 the program to ANSI C in one respect.  The companion program "unprotoize"
 does the reverse: it removes argument types from any prototypes
 that are found.

Package: gobjc-3.4
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), ${shlibs:Depends}, libobjc1 (>= ${gcc:EpochVersion})
Suggests: gcc-3.4-doc (>= ${gcc:SoftVersion})
Provides: objc-compiler
Description: The GNU Objective-C compiler
 This is the GNU Objective-C compiler, which compiles
 Objective-C on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libobjc1
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Description: Runtime library for GNU Objective-C applications
 Library needed for GNU ObjC applications linked against the shared library.

Package: lib64objc1
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Description: Runtime library for GNU Objective-C applications (64bit)
 Library needed for GNU ObjC applications linked against the shared library.

Package: g77-3.4
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), libg2c0-dev (>= ${gcc:EpochVersion}), ${shlibs:Depends}
Provides: fortran77-compiler
Suggests: g77-3.4-doc
Conflicts: g77-2.95 (<= 1:2.95.4-19), g77-3.0 (<= 1:3.0.4-16), g77-3.2 (<= 1:3.2.3-9), g77-3.3 (<= 1:3.3.4-3)
Description: The GNU Fortran 77 compiler
 This is the GNU g77 Fortran compiler, which compiles
 Fortran 77 on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: g77-3.4-doc
Architecture: all
Section: doc
Priority: optional
Depends: gcc-3.4-base (>= ${gcc:SoftVersion})
Replaces: g77 (<= 1:2.91.58-3)
Description: Documentation for the GNU Fortran compiler (g77)
 Documentation for the GNU Fortran 77 compiler in info format.

Package: libg2c0
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Description: Runtime library for GNU Fortran 77 applications
 Library needed for GNU Fortran 77 applications linked against the
 shared library.

Package: libg2c0-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), libg2c0 (= ${gcc:EpochVersion}), ${shlibs:Depends}
Conflicts: g77-2.95, g77-2.96, g77-3.0 (<= 1:3.0.4-16), g77-3.2 (<= 1:3.2.3-9), g77-3.3 (<= 1:3.3.3-0pre3)
Description: GNU Fortran 77 library development
 Headers and static libraries for g2c.

Package: lib64g2c0
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}
Replaces: libg2c0 (<< 1:3.4.4-7)
Description: Runtime library for GNU Fortran 77 applications (64bit)
 Library needed for GNU Fortran 77 applications linked against the
 shared library.

Package: lib32g2c0
Section: libs
Architecture: any
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}
Replaces: libg2c0 (<< 1:3.4.4-7)
Description: Runtime library for GNU Fortran 77 applications (32bit)
 Library needed for GNU Fortran 77 applications linked against the
 shared library.

Package: libstdc++6
Architecture: any
Section: libs
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Conflicts: libstdc++6-0
Replaces: libstdc++6-0
Description: The GNU Standard C++ Library v3
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.
 .
 libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
 was included up to g++-2.95. The first version of libstdc++-v3 appeared
 in g++-3.0.

Package: lib32stdc++6
Architecture: any
Section: libs
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), lib32gcc1
Description: The GNU Standard C++ Library v3 (ia32)
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.

Package: lib64stdc++6
Architecture: any
Section: libs
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
Description: The GNU Standard C++ Library v3 (64bit)
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.
 .
 libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
 was included up to g++-2.95. The first version of libstdc++-v3 appeared
 in g++-3.0.

Package: libstdc++6-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: gcc-3.4-base (= ${gcc:Version}), g++-3.4 (= ${gcc:Version}), libstdc++6 (>= ${gcc:Version}), ${dep:libcdev}
Conflicts: libstdc++6-0-dev, libg++27-dev, libg++272-dev (<< 2.7.2.8-1), libstdc++2.8-dev, libg++2.8-dev, libstdc++2.9-dev, libstdc++2.9-glibc2.1-dev, libstdc++2.10-dev (<< 1:2.95.3-2), libstdc++3.0-dev
Replaces: libstdc++6-0-dev
Suggests: libstdc++6-doc
Provides: libstdc++-dev
Description: The GNU Standard C++ Library v3 (development files)
 This package contains the headers and static library files necessary for
 building C++ programs which use libstdc++. Be advised that this only works
 with the GNU C++ compiler (version 3.0), and no earlier library will work it.
 .
 libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
 was included up to g++-2.95. The first version of libstdc++-v3 appeared
 in g++-3.0.

Package: libstdc++6-pic
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-3.4-base (= ${gcc:Version}), libstdc++6 (>= ${gcc:Version}), libstdc++6-dev (= ${gcc:Version})
Conflicts: libstdc++6-0-pic
Replaces: libstdc++6-0-pic
Description: The GNU Standard C++ Library v3 (shared library subset kit)
 This is used to develop subsets of the libstdc++ shared libraries for
 use on custom installation floppies and in embedded systems.
 .
 Unless you are making one of those, you will not need this package.

Package: libstdc++6-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-3.4-base (= ${gcc:Version}), libstdc++6 (>= ${gcc:Version})
Recommends: libstdc++6-dev (= ${gcc:Version})
Conflicts: libstdc++6-0-dbg, libstdc++5-dbg, libstdc++5-3.3-dbg, libstdc++6-4.0-dbg
Replaces: libstdc++6-0-dbg
Description: The GNU Standard C++ Library v3 (debugging files)
