## gcc-3.4 3.4.4cs2005q3.2-5.osso3

=== debian/changelog ===
gcc-3.4 (3.4.4cs2005q3.2-5.osso3) unstable; urgency=low

  * Cleanup dependences for i386 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 31 Aug 2006 12:14:43 +0300
