=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Gerhard Tonn <gt@debian.org>
 Standards-Version: 3.6.2
-Build-Depends: dpkg-dev (>= 1.13.9), libc6.1-dev (>= 2.3.2.ds1-16) [alpha ia64] | libc0.3-dev (>= 2.3.2.ds1-16) | libc0.1-dev (>= 2.3.2.ds1-16) | libc12-dev (>= 2.3.2.ds1-16) | libc6-dev (>= 2.3.2.ds1-16), libc6-dev-amd64 [i386], libc6-dev-sparc64 [sparc], libc6-dev-s390x [s390], libc6-dev-i386 [amd64] | ia32-libs-dev [amd64], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc1 [amd64 ppc64], lib64gcc1 [powerpc i386 sparc s390], libunwind7-dev (>= 0.98.5-7) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), binutils-hppa64 (>= 2.15-7) [hppa], debhelper (>= 4.1), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !knetbsd-gnu], gcc-3.4, gnat-3.4 [!arm !armel !armeb !m32r !m68k !ppc64 !hurd-i386 !knetbsd-gnu !netbsd-elf-gnu], locales [!knetbsd-gnu !netbsd-elf-gnu !hurd-i386], procps [!hurd-i386 !knetbsd-gnu], sharutils, libncurses5-dev [!netbsd-elf-gnu], tetex-bin [!netbsd-elf-gnu],  realpath (>= 1.9.12)
+Build-Depends: dpkg-dev (>= 1.13.9), libc6.1-dev (>= 2.3.2.ds1-16) [alpha ia64] | libc0.3-dev (>= 2.3.2.ds1-16) | libc0.1-dev (>= 2.3.2.ds1-16) | libc12-dev (>= 2.3.2.ds1-16) | libc6-dev (>= 2.3.2.ds1-16),  libunwind7-dev (>= 0.98.5-7) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), binutils-hppa64 (>= 2.15-7) [hppa], debhelper (>= 4.1), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !knetbsd-gnu], gcc-3.4, gnat-3.4 [!arm !armel !armeb !m32r !m68k !ppc64 !i386 !hurd-i386 !knetbsd-gnu !netbsd-elf-gnu], locales [!knetbsd-gnu !netbsd-elf-gnu !hurd-i386], procps [!hurd-i386 !knetbsd-gnu], sharutils, libncurses5-dev [!netbsd-elf-gnu], tetex-bin [!netbsd-elf-gnu],  realpath (>= 1.9.12)
 Build-Depends-Indep: doxygen (>= 1.4.2)
 
 Package: gcc-3.4-base
@@ -31,17 +31,6 @@
 Priority: optional
 Depends: ${shlibs:Depends}
 Description: GCC support library
- Shared version of the support library, a library of internal subroutines
- that GCC uses to overcome shortcomings of particular machines, or
- special needs for some languages.
-
-Package: lib64gcc1
-Architecture: any
-Section: libs
-Priority: optional
-Depends: ${dep:libcbiarch}
-Conflicts: libgcc1 (<= 1:3.3-0pre9)
-Description: GCC support library (64bit)
  Shared version of the support library, a library of internal subroutines
  that GCC uses to overcome shortcomings of particular machines, or
  special needs for some languages.
@@ -146,14 +135,6 @@
 Priority: optional
 Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
 Description: Runtime library for GNU Objective-C applications
- Library needed for GNU ObjC applications linked against the shared library.
-
-Package: lib64objc1
-Section: libs
-Architecture: any
-Priority: optional
-Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
-Description: Runtime library for GNU Objective-C applications (64bit)
  Library needed for GNU ObjC applications linked against the shared library.
 
 Package: g77-3.4
@@ -195,26 +176,6 @@
 Description: GNU Fortran 77 library development
  Headers and static libraries for g2c.
 
-Package: lib64g2c0
-Section: libs
-Architecture: any
-Priority: optional
-Depends: gcc-3.4-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}
-Replaces: libg2c0 (<< 1:3.4.4-7)
-Description: Runtime library for GNU Fortran 77 applications (64bit)
- Library needed for GNU Fortran 77 applications linked against the
- shared library.
-
-Package: lib32g2c0
-Section: libs
-Architecture: any
-Priority: optional
-Depends: gcc-3.4-base (= ${gcc:Version}), ${dep:libcbiarch}, ${shlibs:Depends}
-Replaces: libg2c0 (<< 1:3.4.4-7)
-Description: Runtime library for GNU Fortran 77 applications (32bit)
- Library needed for GNU Fortran 77 applications linked against the
- shared library.
-
 Package: libstdc++6
 Architecture: any
 Section: libs
@@ -238,19 +199,6 @@
 Description: The GNU Standard C++ Library v3 (ia32)
  This package contains an additional runtime library for C++ programs
  built with the GNU compiler.
-
-Package: lib64stdc++6
-Architecture: any
-Section: libs
-Priority: optional
-Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
-Description: The GNU Standard C++ Library v3 (64bit)
- This package contains an additional runtime library for C++ programs
- built with the GNU compiler.
- .
- libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
- was included up to g++-2.95. The first version of libstdc++-v3 appeared
- in g++-3.0.
 
 Package: libstdc++6-dev
 Architecture: any
@@ -292,3 +240,58 @@
 Conflicts: libstdc++6-0-dbg, libstdc++5-dbg, libstdc++5-3.3-dbg, libstdc++6-4.0-dbg
 Replaces: libstdc++6-0-dbg
 Description: The GNU Standard C++ Library v3 (debugging files)
+ This package contains the shared library of libstdc++ compiled with
+ debugging symbols.
+
+Package: libstdc++6-doc
+Architecture: all
+Section: doc
+Priority: optional
+Depends: gcc-3.4-base (>= ${gcc:SoftVersion})
+Conflicts: libstdc++5-doc, libstdc++5-3.3-doc
+Description: The GNU Standard C++ Library v3 (documentation files)
+ This package contains documentation files for the GNU stdc++ library.
+ .
+ One set is the distribution documentation, the other set is the
+ source documentation including a namespace list, class hierarchy,
+ alphabetical list, compound list, file list, namespace members,
+ compound members and file members.
+
+Package: gnat-3.4
+Architecture: any
+Priority: optional
+Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), ${dep:libgnat}, ${shlibs:Depends}
+Suggests: gnat-3.4-doc, ada-reference-manual
+Provides: ada-compiler
+Conflicts: gnat, gnat-3.1, gnat-3.2, gnat-3.3
+Provides: gnat
+Description: The GNU Ada compiler
+ This is the GNU Ada compiler, which compiles Ada on platforms supported
+ by the gcc compiler. It uses the gcc backend to generate optimized code.
+
+Package: libgnat-3.4
+Section: libs
+Architecture: any
+Priority: optional
+Depends: gcc-3.4-base (= ${gcc:Version}), ${shlibs:Depends}
+Description: Runtime library for GNU Ada applications
+ Library needed for GNU Ada applications linked against the shared library.
+
+Package: gnat-3.4-doc
+Architecture: all
+Section: doc
+Priority: optional
+Depends: gcc-3.4-base (>= ${gcc:SoftVersion})
+Suggests: gnat-3.4
+Description: Documentation for the GNU Ada compiler (gnat)
+ Documentation for the GNU Ada compiler in info format.
+
+Package: gpc-2.1-3.4
+Architecture: any
+Priority: optional
+Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), ${shlibs:Depends}
+Recommends: libgmp3-dev, libncurses5-dev
+Suggests: gpc-2.1-3.4-doc (>= ${gcc:Version})
+Provides: pascal-compiler
+Description: The GNU Pascal compiler
+ This is the GNU Pascal compiler, which compiles Pascal on platforms supported
