## gcc-3.4 3.4.4cs2005q3.2-5.osso8

=== debian/changelog ===
gcc-3.4 (3.4.4cs2005q3.2-5.osso8) unstable; urgency=low

  * Removed duplicated libgcc1 dependence 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 16 Mar 2007 14:40:40 +0200

gcc-3.4 (3.4.4cs2005q3.2-5.osso7) unstable; urgency=low

  * Fixed lintian error, duplicate ada Provides in control 
  * Removed libc-dev dependence to fix build in our environment
  * Removed locales

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 25 Jan 2007 15:30:23 +0200

gcc-3.4 (3.4.4cs2005q3.2-5.osso4) unstable; urgency=low

  * Unwinder fixed for glibc 2.5 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 25 Jan 2007 13:04:12 +0200
