=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Gerhard Tonn <gt@debian.org>
 Standards-Version: 3.6.2
-Build-Depends: dpkg-dev (>= 1.13.9), libc6.1-dev (>= 2.3.2.ds1-16) [alpha ia64] | libc0.3-dev (>= 2.3.2.ds1-16) | libc0.1-dev (>= 2.3.2.ds1-16) | libc12-dev (>= 2.3.2.ds1-16) | libc6-dev (>= 2.3.2.ds1-16),  libunwind7-dev (>= 0.98.5-7) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), binutils-hppa64 (>= 2.15-7) [hppa], debhelper (>= 4.1), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !knetbsd-gnu], gcc-3.4, gnat-3.4 [!arm !armel !armeb !m32r !m68k !ppc64 !i386 !hurd-i386 !knetbsd-gnu !netbsd-elf-gnu], locales [!knetbsd-gnu !netbsd-elf-gnu !hurd-i386], procps [!hurd-i386 !knetbsd-gnu], sharutils, libncurses5-dev [!netbsd-elf-gnu], tetex-bin [!netbsd-elf-gnu],  realpath (>= 1.9.12)
+Build-Depends: dpkg-dev (>= 1.13.9), libunwind7-dev (>= 0.98.5-7) [ia64], libatomic-ops-dev [ia64], m4, autoconf2.13, autoconf, automake1.4, automake1.7, libtool, autotools-dev, gawk, bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), binutils-hppa64 (>= 2.15-7) [hppa], debhelper (>= 4.1), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev [!avr !knetbsd-gnu], gcc-3.4, gnat-3.4 [!arm !armel !armeb !m32r !m68k !ppc64 !i386 !hurd-i386 !knetbsd-gnu !netbsd-elf-gnu], procps [!hurd-i386 !knetbsd-gnu], sharutils, libncurses5-dev [!netbsd-elf-gnu], tetex-bin [!netbsd-elf-gnu],  realpath (>= 1.9.12)
 Build-Depends-Indep: doxygen (>= 1.4.2)
 
 Package: gcc-3.4-base
@@ -51,7 +51,7 @@
 Architecture: any
 Section: devel
 Priority: optional
-Depends: gcc-3.4-base (= ${gcc:Version}), cpp-3.4 (= ${gcc:Version}), binutils (>= ${binutils:Version}), ${dep:libgcc}, ${dep:libunwinddev}, ${shlibs:Depends}
+Depends: gcc-3.4-base (= ${gcc:Version}), cpp-3.4 (= ${gcc:Version}), binutils (>= ${binutils:Version}), ${dep:libunwinddev}, ${shlibs:Depends}
 Recommends: ${dep:libcdev}
 Conflicts: gcc-3.2 (<= 1:3.2.3-0pre8)
 Suggests: gcc-3.4-doc (>= ${gcc:SoftVersion}), ${dep:libcbiarchdev}, ${dep:libgccbiarch}
@@ -262,9 +262,8 @@
 Priority: optional
 Depends: gcc-3.4-base (= ${gcc:Version}), gcc-3.4 (= ${gcc:Version}), ${dep:libgnat}, ${shlibs:Depends}
 Suggests: gnat-3.4-doc, ada-reference-manual
-Provides: ada-compiler
+Provides: ada-compiler, gnat
 Conflicts: gnat, gnat-3.1, gnat-3.2, gnat-3.3
-Provides: gnat
 Description: The GNU Ada compiler
  This is the GNU Ada compiler, which compiles Ada on platforms supported
  by the gcc compiler. It uses the gcc backend to generate optimized code.
@@ -295,3 +294,11 @@
 Provides: pascal-compiler
 Description: The GNU Pascal compiler
  This is the GNU Pascal compiler, which compiles Pascal on platforms supported
+ by the gcc compiler. It uses the gcc backend to generate optimized code.
+ .
+ WARNING: the integration of gpc into gcc-3.x is still in an experimental
+ stage. For production use, please use gpc or gpc-2.95.
+
+Package: gpc-2.1-3.4-doc
+Architecture: all
+Section: doc
