## gcc-3.4 3.4.6

=== p/utils/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for the GNU Pascal utilities
 #
-# Copyright (C) 2002-2005 Free Software Foundation, Inc.
+# Copyright (C) 2002-2006 Free Software Foundation, Inc.
 #
 # Author: Frank Heckenbach <frank@pascal.gnu.de>
 #
